using System.Collections.Generic;
using System.Runtime.CompilerServices;

namespace System.Diagnostics.Contracts
{
	[CompilerGenerated]
	[AttributeUsage(AttributeTargets.Assembly)]
	internal sealed class ContractReferenceAssemblyAttribute : Attribute
	{
	}

	[CompilerGenerated]
	[AttributeUsage(AttributeTargets.Assembly)]
	internal sealed class ContractDeclarativeAssemblyAttribute : Attribute
	{
	}

	[CompilerGenerated]
	internal sealed class Contract
	{
		public static void Requires(bool condition, string userSuppliedString, string sourceText)
		{
		}

		public static void Ensures(bool condition, string userSuppliedString, string sourceText)
		{
		}

		public static void Invariant(bool condition, string userSuppliedString, string sourceText)
		{
		}

		public static T Result<T>()
		{
			return default(T);
		}

		public static T ValueAtReturn<T>(out T value)
		{
			value = default(T);
			return value;
		}

		public static T OldValue<T>(T value)
		{
			return value;
		}

		public static bool ForAll<T>(IEnumerable<T> Collection, Predicate<T> predicate)
		{
			return false;
		}
	}
}