﻿using System.Diagnostics.Contracts;
using System.Threading;

namespace System.Reactive.Concurrency
{
	public class SynchronizationContextScheduler : LocalScheduler
	{
		public SynchronizationContextScheduler(SynchronizationContext context)
		{
			Contract.Requires(context != null, null, "context != null");
		}

		public override IDisposable Schedule<TState>(TState state, TimeSpan dueTime, Func<IScheduler, TState, IDisposable> action)
		{
			return null;
		}
	}
}