﻿using System.Diagnostics.Contracts;

namespace System.Reactive.Disposables
{
	public sealed class RefCountDisposable
	{
		public RefCountDisposable(IDisposable disposable)
		{
			Contract.Requires(disposable != null, null, "disposable != null");
		}

		public IDisposable GetDisposable()
		{
			Contract.Ensures(Contract.Result<IDisposable>() != null, null, "Contract.Result<IDisposable>() != null");
			return null;
		}
	}
}