﻿using System.Collections.Generic;
using System.Diagnostics.Contracts;

namespace System.Reactive.Concurrency
{
	public abstract class VirtualTimeScheduler<TAbsolute, TRelative> : VirtualTimeSchedulerBase<TAbsolute, TRelative>
	{
		protected VirtualTimeScheduler(TAbsolute initialClock, IComparer<TAbsolute> comparer)
			: base(initialClock, comparer)
		{
			Contract.Requires(comparer != null, null, "comparer != null");
		}
	}
}