﻿using System.Diagnostics.Contracts;

namespace System.Reactive.Joins
{
	public class Pattern<T1, T2, T3, T4> : Pattern
	{
#if !WINDOWS_PHONE
		public Pattern<T1, T2, T3, T4, T5> And<T5>(IObservable<T5> other)
		{
			Contract.Requires(other != null, null, "other != null");
			Contract.Ensures(Contract.Result<Pattern<T1, T2, T3, T4, T5>>() != null, null, "Contract.Result<Pattern<T1, T2, T3, T4, T5>>() != null");
			return null;
		}
#endif

		public Plan<TResult> Then<TResult>(Func<T1, T2, T3, T4, TResult> selector)
		{
			Contract.Requires(selector != null, null, "selector != null");
			Contract.Ensures(Contract.Result<Plan<TResult>>() != null, null, "Contract.Result<Plan<TResult>>() != null");
			return null;
		}
	}
}