﻿using System.Collections;
using System.Collections.Generic;
using System.Diagnostics.Contracts;

namespace System.Reactive
{
	public class ListObservable<T>
	{
		public bool IsReadOnly
		{
			get
			{
				Contract.Ensures(Contract.Result<bool>() == false, null, "Contract.Result<bool>() == false");
				return false;
			}
		}

		public ListObservable(IObservable<T> source)
		{
			Contract.Requires(source != null, null, "source != null");
		}
	}
}