﻿using System.Diagnostics.Contracts;

namespace System.Reactive.Joins
{
	public class QueryablePattern<T1, T2, T3, T4, T5, T6, T7, T8, T9> : QueryablePattern
	{
		public QueryablePattern()
			: base(null)
		{
		}

		public QueryablePattern<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10> And<T10>(IObservable<T10> other)
		{
			Contract.Requires(other != null, null, "other != null");
			Contract.Ensures(Contract.Result<QueryablePattern<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>>() != null, null, "Contract.Result<QueryablePattern<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>>() != null");
			return null;
		}

		public QueryablePlan<TResult> Then<TResult>(Func<T1, T2, T3, T4, T5, T6, T7, T8, T9, TResult> selector)
		{
			Contract.Requires(selector != null, null, "selector != null");
			Contract.Ensures(Contract.Result<QueryablePlan<TResult>>() != null, null, "Contract.Result<QueryablePlan<TResult>>() != null");
			return null;
		}
	}
}