﻿using System.Diagnostics.Contracts;

namespace System.Reactive.Joins
{
	public class QueryablePattern<T1, T2, T3, T4> : QueryablePattern
	{
		public QueryablePattern()
			: base(null)
		{
		}

#if !WINDOWS_PHONE
		public QueryablePattern<T1, T2, T3, T4, T5> And<T5>(IObservable<T5> other)
		{
			Contract.Requires(other != null, null, "other != null");
			Contract.Ensures(Contract.Result<QueryablePattern<T1, T2, T3, T4, T5>>() != null, null, "Contract.Result<QueryablePattern<T1, T2, T3, T4, T5>>() != null");
			return null;
		}
#endif

		public QueryablePlan<TResult> Then<TResult>(Func<T1, T2, T3, T4, TResult> selector)
		{
			Contract.Requires(selector != null, null, "selector != null");
			Contract.Ensures(Contract.Result<QueryablePlan<TResult>>() != null, null, "Contract.Result<QueryablePlan<TResult>>() != null");
			return null;
		}
	}
}