﻿using System.Diagnostics.Contracts;

namespace System.Reactive.Disposables
{
	public static class Disposable
	{
		public static IDisposable Create(Action dispose)
		{
			Contract.Requires(dispose != null, null, "dispose != null");
			Contract.Ensures(Contract.Result<IDisposable>() != null, null, "Contract.Result<IDisposable>() != null");
			return null;
		}

		public static IDisposable Empty
		{
			get
			{
				Contract.Ensures(Contract.Result<IDisposable>() != null, null, "Contract.Result<IDisposable>() != null");
				return null;
			}
		}
	}
}