﻿using System.Diagnostics.Contracts;
using System.Threading;

namespace System.Reactive.Concurrency
{
	public sealed class EventLoopScheduler : LocalScheduler
	{
		public EventLoopScheduler(Func<ThreadStart, Thread> threadFactory)
		{
			Contract.Requires(threadFactory != null, null, "threadFactory != null");
		}

		public override IDisposable Schedule<TState>(TState state, TimeSpan dueTime, Func<IScheduler, TState, IDisposable> action)
		{
			return null;
		}
	}
}