﻿using System.Diagnostics.Contracts;
using System.Linq.Expressions;

namespace System.Reactive.Joins
{
	public abstract class QueryablePattern
	{
		public Expression Expression
		{
			get
			{
				Contract.Ensures(Contract.Result<Expression>() != null, null, "Contract.Result<Expression>() != null");
				return null;
			}
		}

		protected QueryablePattern(Expression expression)
		{
			Contract.Requires(expression != null, null, "expression != null");
		}
	}
}