﻿using System.Diagnostics.Contracts;
using System.Windows.Forms;

namespace System.Reactive.Linq
{
	public static class ControlObservable
	{
		public static IObservable<TSource> ObserveOn<TSource>(this IObservable<TSource> source, Control control)
		{
			Contract.Requires(source != null, null, "source != null");
			Contract.Requires(control != null, null, "control != null");
			Contract.Ensures(Contract.Result<IObservable<TSource>>() != null, null, "Contract.Result<IObservable<TSource>>() != null");
			return null;
		}

		public static IObservable<TSource> SubscribeOn<TSource>(this IObservable<TSource> source, Control control)
		{
			Contract.Requires(source != null, null, "source != null");
			Contract.Requires(control != null, null, "control != null");
			Contract.Ensures(Contract.Result<IObservable<TSource>>() != null, null, "Contract.Result<IObservable<TSource>>() != null");
			return null;
		}
	}
}